个人博客日记
您现在的位置是:博客主页 > 个人博客日记

git中下载Yii2.0,以及 yii2-adminlte-asset

By Dianthink on 个人博客日记 Time 2019-03-21 from:互联网 567人已围观
简介:    git中下载Yii2.0,以及yii2-adminlte-asset(特别说明:PHP版本:7.0),下载过程比较漫长,没有切换国内镜像,有时候直接下载不下来,看来是的开人家心情啊。

git中下载Yii2.0,以及yii2-adminlte-asset(特别说明:PHP版本:7.0)

https://www.yiichina.com/download

Administrator@PC-20190222QKVD MINGW64 /g/UPUPW_AP7.0/vhosts/www.yiiedu.net

$ php -r " eval('?>' .file_get_contents('https://getcomposer.org/installer'));"
All settings correct for using Composer
Downloading...

Composer (version 1.8.4) successfully installed to: G:UPUPW_AP7.0vhostswww.yi
iedu.netcomposer.phar
Use it: php composer.phar

Administrator@PC-20190222QKVD MINGW64 /g/UPUPW_AP7.0/vhosts/www.yiiedu.net
$ php composer.phar global require "fxp/composer-asset-plugin:^1.2.0"
Changed current directory to C:/Users/Administrator/AppData/Roaming/Composer
./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Generating autoload files

Administrator@PC-20190222QKVD MINGW64 /g/UPUPW_AP7.0/vhosts/www.yiiedu.net
$ php composer.phar create-project yiisoft/yii2-app-advanced advanced 2.0.16
Installing yiisoft/yii2-app-advanced (2.0.16)
  - Installing yiisoft/yii2-app-advanced (2.0.16): Loading from cache
Created project in advanced
Loading composer repositories with package information
Updating dependencies (including require-dev)
Content-Length mismatch, received 179968 bytes out of the expected 2890106
https://asset-packagist.org could not be fully loaded, package information was l
oaded from the local cache and may be out of date
Package operations: 70 installs, 0 updates, 0 removals
  - Installing yiisoft/yii2-composer (2.0.7): Downloading (100%)
  - Installing sebastian/version (2.0.1): Downloading (100%)
  - Installing sebastian/resource-operations (1.0.0): Downloading (connecting...
Downloading (100%)
  - Installing sebastian/recursion-context (3.0.0): Downloading (100%)
  - Installing sebastian/object-reflector (1.1.1): Downloading (100%)
  - Installing sebastian/object-enumerator (3.0.3): Downloading (100%)
  - Installing sebastian/global-state (2.0.0): Downloading (100%)
  - Installing sebastian/exporter (3.1.0): Downloading (100%)
  - Installing sebastian/environment (3.1.0): Downloading (100%)
  - Installing sebastian/diff (2.0.1): Downloading (100%)
  - Installing sebastian/comparator (2.1.3): Downloading (100%)
  - Installing doctrine/instantiator (1.0.5): Downloading (100%)
  - Installing phpunit/php-text-template (1.2.1): Downloading (100%)
  - Installing phpunit/phpunit-mock-objects (5.0.10): Downloading (connecting...
Downloading (100%)
  - Installing phpunit/php-timer (1.0.9): Downloading (100%)
  - Installing phpunit/php-file-iterator (1.4.5): Downloading (100%)
  - Installing theseer/tokenizer (1.1.0): Downloading (100%)
  - Installing sebastian/code-unit-reverse-lookup (1.0.1): Downloading (connecti
Downloading (100%)
  - Installing phpunit/php-token-stream (2.0.2): Downloading (100%)
  - Installing phpunit/php-code-coverage (5.3.2): Downloading (100%)
  - Installing symfony/polyfill-ctype (v1.10.0): Downloading (100%)
  - Installing webmozart/assert (1.4.0): Downloading (100%)
  - Installing phpdocumentor/reflection-common (1.0.1): Downloading (connecting.
Downloading (100%)
  - Installing phpdocumentor/type-resolver (0.4.0): Downloading (100%)
  - Installing phpdocumentor/reflection-docblock (4.3.0): Downloading (connectin
Downloading (100%)
  - Installing phpspec/prophecy (1.8.0): Downloading (100%)
  - Installing phar-io/version (1.0.1): Downloading (100%)
  - Installing phar-io/manifest (1.0.1): Downloading (100%)
  - Installing myclabs/deep-copy (1.7.0): Downloading (100%)
  - Installing phpunit/phpunit (6.5.14): Downloading (100%)
  - Installing codeception/verify (1.0.0): Downloading (100%)
  - Installing symfony/polyfill-php72 (v1.10.0): Downloading (100%)
  - Installing symfony/polyfill-mbstring (v1.10.0): Downloading (100%)
  - Installing symfony/polyfill-intl-idn (v1.10.0): Downloading (100%)
  - Installing symfony/polyfill-iconv (v1.10.0): Downloading (100%)
  - Installing doctrine/lexer (v1.0.1): Downloading (100%)
  - Installing egulias/email-validator (2.1.7): Downloading (100%)
  - Installing swiftmailer/swiftmailer (v6.2.0): Downloading (100%)
  - Installing bower-asset/jquery (3.3.1): Downloading (100%)
  - Installing bower-asset/yii2-pjax (2.0.7.1): Downloading (100%)
  - Installing bower-asset/punycode (v1.3.2): Downloading (100%)
  - Installing bower-asset/inputmask (3.3.11): Downloading (100%)
  - Installing cebe/markdown (1.2.1): Downloading (100%)
  - Installing ezyang/htmlpurifier (v4.10.0): Downloading (100%)
  - Installing yiisoft/yii2 (2.0.16.1): Downloading (100%)
  - Installing yiisoft/yii2-swiftmailer (2.1.2): Downloading (100%)
  - Installing bower-asset/bootstrap (v3.4.1): Downloading (100%)
  - Installing yiisoft/yii2-bootstrap (2.0.9): Downloading (100%)
  - Installing yiisoft/yii2-debug (2.0.14): Downloading (100%)
  - Installing bower-asset/typeahead.js (v0.11.1): Downloading (100%)
  - Installing phpspec/php-diff (v1.1.0): Downloading (100%)
  - Installing yiisoft/yii2-gii (2.0.8): Downloading (100%)
  - Installing fzaninotto/faker (v1.8.0): Downloading (100%)
  - Installing yiisoft/yii2-faker (2.0.4): Downloading (100%)
  - Installing symfony/yaml (v3.3.6): Downloading (100%)
  - Installing symfony/finder (v3.3.6): Downloading (100%)
  - Installing symfony/event-dispatcher (v3.3.6): Downloading (100%)
  - Installing symfony/dom-crawler (v3.3.6): Downloading (100%)
  - Installing symfony/css-selector (v3.3.6): Downloading (100%)
  - Installing psr/log (1.1.0): Downloading (100%)
  - Installing symfony/debug (v3.3.6): Downloading (100%)
  - Installing symfony/console (v3.3.6): Downloading (100%)
  - Installing symfony/browser-kit (v3.3.6): Downloading (100%)
  - Installing ralouphie/getallheaders (2.0.5): Downloading (100%)
  - Installing psr/http-message (1.0.1): Downloading (100%)
  - Installing guzzlehttp/psr7 (1.5.2): Downloading (100%)
  - Installing codeception/phpunit-wrapper (6.6.1): Downloading (100%)
  - Installing codeception/stub (2.1.0): Downloading (100%)
  - Installing behat/gherkin (v4.6.0): Downloading (100%)
  - Installing codeception/base (2.5.4): Downloading (100%)
sebastian/global-state suggests installing ext-uopz (*)
phpunit/php-code-coverage suggests installing ext-xdebug (^2.5.5)
phpunit/phpunit suggests installing phpunit/php-invoker (^1.1)
phpunit/phpunit suggests installing ext-xdebug (*)
swiftmailer/swiftmailer suggests installing true/punycode (Needed to support internationalized email addresses, if
symfony/event-dispatcher suggests installing symfony/dependency-injection
symfony/event-dispatcher suggests installing symfony/http-kernel
symfony/console suggests installing symfony/filesystem
symfony/console suggests installing symfony/process
symfony/browser-kit suggests installing symfony/process
codeception/base suggests installing aws/aws-sdk-php (For using AWS Auth in REST module and Queue module)
codeception/base suggests installing codeception/phpbuiltinserver (Start and stop PHP built-in web server for your
codeception/base suggests installing codeception/specify (BDD-style code blocks)
codeception/base suggests installing flow/jsonpath (For using JSONPath in REST module)
codeception/base suggests installing league/factory-muffin (For DataFactory module)
codeception/base suggests installing league/factory-muffin-faker (For Faker support in DataFactory module)
codeception/base suggests installing phpseclib/phpseclib (for SFTP option in FTP Module)
codeception/base suggests installing stecman/symfony-console-completion (For BASH autocompletion)
codeception/base suggests installing symfony/phpunit-bridge (For phpunit-bridge support)
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Writing lock file
Generating autoload files

Administrator@PC-20190222QKVD MINGW64 /g/UPUPW_AP7.0/vhosts/www.yiiedu.net
$ composer require dmstr/yii2-adminlte-asset
Using version ^2.6 for dmstr/yii2-adminlte-asset
./composer.json has been created
Loading composer repositories with package information
Updating dependencies (including require-dev)
Reading bower.json of bower-asset/jquery.inputmask (3.1.62)GitHub API limit (60 calls/hr) is exhausted, could not te limit. You can also wait until 2019-03-21 22:02:36 for the rate limit to reset.

Head to https://github.com/settings/tokens/new?scopes=repo&description=Composer+on+PC-20190222QKVD+2019-03-21+2059
to retrieve a token. It will be stored in "C:/Users/Administrator/AppData/Roaming/Composer/auth.json" for future u
Token (hidden): 0c8d5981271be9e516ee1f4b169fb591a0fba1c9

Token stored successfully.
Package operations: 15 installs, 0 updates, 0 removals
  - Installing yiisoft/yii2-composer (2.0.7): Loading from cache
  - Installing bower-asset/jquery (3.3.1): Loading from cache
  - Installing bower-asset/yii2-pjax (2.0.7.1): Loading from cache
  - Installing bower-asset/punycode (v1.3.2): Loading from cache
  - Installing ezyang/htmlpurifier (v4.10.0): Loading from cache
  - Installing bower-asset/inputmask (3.3.11): Loading from cache
  - Installing cebe/markdown (1.2.1): Loading from cache
  - Installing yiisoft/yii2 (2.0.16.1): Loading from cache
  - Installing fortawesome/font-awesome (v4.7.0): Downloading (100%)
  - Installing rmrevin/yii2-fontawesome (2.17.1): Downloading (100%)
  - Installing almasaeed2010/adminlte (v2.4.10): Downloading (100%)
  - Installing cebe/yii2-gravatar (1.1): Downloading (100%)
  - Installing bower-asset/bootstrap (v3.4.1): Loading from cache
  - Installing yiisoft/yii2-bootstrap (2.0.9): Loading from cache
  - Installing dmstr/yii2-adminlte-asset (2.6.2): Downloading (100%)
Writing lock file
Generating autoload files

Administrator@PC-20190222QKVD MINGW64 /g/UPUPW_AP7.0/vhosts/www.yiiedu.net
$
相关文章
文章评论

( 0 )